### Virtual Method

# Gtk TextBuffer insert_text

#### Declaration [src]

    void
    insert_text (
      GtkTextBuffer* buffer,
      GtkTextIter* pos,
      const char* new_text,
      int new_text_length
    )

#### Description

No description available.

#### Parameters

`pos` | `GtkTextIter`
| No description available.
| The data is owned by the caller of the function.
`new_text` | `const char*`
| No description available.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`new_text_length` | `int`
| No description available.